package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.StWaterFloodControlMonitoringStation;
import com.lightinit.hsdatashow.entity.StWaterFloodControlMonitoringStationExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface StWaterFloodControlMonitoringStationMapper {
    long countByExample(StWaterFloodControlMonitoringStationExample example);

    int deleteByExample(StWaterFloodControlMonitoringStationExample example);

    int deleteByPrimaryKey(Long id);

    int insert(StWaterFloodControlMonitoringStation record);

    int insertSelective(StWaterFloodControlMonitoringStation record);

    List<StWaterFloodControlMonitoringStation> selectByExample(StWaterFloodControlMonitoringStationExample example);

    StWaterFloodControlMonitoringStation selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") StWaterFloodControlMonitoringStation record, @Param("example") StWaterFloodControlMonitoringStationExample example);

    int updateByExample(@Param("record") StWaterFloodControlMonitoringStation record, @Param("example") StWaterFloodControlMonitoringStationExample example);

    int updateByPrimaryKeySelective(StWaterFloodControlMonitoringStation record);

    int updateByPrimaryKey(StWaterFloodControlMonitoringStation record);
}